Form

Manage individual form instances: retrieve documents, submit form data, update document status, and search or count submitted forms.

Get form instance counts by form design and status

get
/Form/count

Retrieve a summary of submitted form instances grouped by form design and status.

The return result can be used to determine how many form instances are with which status and which form design. An example use can be to display an overview for a user.

Authorizations
AuthorizationstringRequired

Use the Authorization header with a Bearer JWT: Authorization: Bearer

Query parameters
tenantIdinteger · int32Required

Required to identify the tenant. The tenantId can be retrieved from the Cockpit.

Responses
chevron-right
200

OK

application/json

Summary for a form design: total counts for the form and an optional per‑status breakdown. Each FormNavigation object points to a reusable request you can use to fetch the actual instances.

idstring · nullableOptional

Form design GUID (same as formId).

namestring · nullableOptional

Human readable name of the form (e.g. 'Hauptwohnsitzbescheinigung').

countinteger · int32Optional

Total number of submitted form instances (across all statuses).

get
/Form/count

Search submitted forms

post
/Form/search

Search forms using the supplied criteria. Returns paged results of form data.

Authorizations
AuthorizationstringRequired

Use the Authorization header with a Bearer JWT: Authorization: Bearer

Query parameters
tenantIdinteger · int32Required
Body
keywordstring · nullableOptional

Keyword to search in submitted forms. It can be a full or partial match of a Form Name or a Tag of a form.

formIdstring · nullableOptional

a formId to filter the search results. The formId is the GUID returned in the /Form/count endpoint as "id".

statusstring · nullableOptional

Status to filter the search results. E.g. "Neu", "In Bearbeitung", "Abgeschlossen".

pageinteger · int32Optional

Page number. If not provided, defaults to 0.

Default: 0
pageSizeinteger · int32Optional

Number of items per page. If not provided, defaults to 50.

Default: 50
orderBystring · nullableOptional

Field to order the results by. E.g. "submittedDate", "name".

orderByDirectionstring · enumOptionalPossible values:
Responses
chevron-right
200

OK

application/json
totalCountinteger · int32Optional

Total number of submitted forms available.

pageNumberinteger · int32Optional

Current page number.

pageSizeinteger · int32Optional

Number of forms per page.

post
/Form/search

Get form details by documentId

get
/Form/{formId}/data/{documentId}

Retrieve a specific document by documentId for the given form. Returns the document response payload.

Authorizations
AuthorizationstringRequired

Use the Authorization header with a Bearer JWT: Authorization: Bearer

Path parameters
formIdstring · uuidRequired

Form design GUID. Can be retrieved from the /Form/count or Form/search endpoint.

documentIdstringRequired

Document ID Can be retrieved from the /Form/search endpoint and identifies a submitted form instance.

Query parameters
tenantIdinteger · int32Required

Required to identify the tenant. The tenantId can be retrieved from the Cockpit.

Responses
chevron-right
200

OK

application/json
statestring · nullableOptional
get
/Form/{formId}/data/{documentId}

Update form instance field values by documentId

patch
/Form/{formId}/data/{documentId}

Update form field values. Only submit fields that need to be updated. Important that the name of the field matches the name in the form design as retrieved in the get /Form/{formId}/document/{documentId} endpoint.

Authorizations
AuthorizationstringRequired

Use the Authorization header with a Bearer JWT: Authorization: Bearer

Path parameters
formIdstring · uuidRequired

Form design GUID. Can be retrieved from the /Form/count or Form/search endpoint.

documentIdstringRequired

Document ID Can be retrieved from the /Form/search endpoint and identifies a submitted form instance.

Query parameters
tenantIdinteger · int32Required

Required to identify the tenant. The tenantId can be retrieved from the Cockpit.

Body

Request payload to update form instance field values.

statestring · nullableOptional

Optional new state (status) to set for the form instance. If provided, the form instance status will be updated.

Example: In Bearbeitung
Responses
chevron-right
200

OK

application/json
statestring · nullableOptional
patch
/Form/{formId}/data/{documentId}

Upload a file to a file upload field in a form instance

patch
/Form/{formId}/data/{documentId}/upload

Upload a file to a file upload field in a form instance. The file will be added to the specified tab and field name.

Authorizations
AuthorizationstringRequired

Use the Authorization header with a Bearer JWT: Authorization: Bearer

Path parameters
formIdstringRequired
documentIdstringRequired
Query parameters
tenantIdinteger · int32Optional
Body
tabnamestring · nullableOptional
namestring · nullableOptional
fileContentstring · nullableOptional
Responses
chevron-right
200

OK

No content

patch
/Form/{formId}/data/{documentId}/upload
200

OK

No content

Last updated